org.apache.mina.transport.socket

## Interface DatagramAcceptor

- All Superinterfaces:
    IoAcceptor, IoService
  All Known Implementing Classes:
    NioDatagramAcceptor

      public interface DatagramAcceptor
      extends IoAcceptor

  `IoAcceptor` for datagram transport (UDP/IP).
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetSocketAddress` | `getDefaultLocalAddress()` Returns the default local address to bind when no argument is specified in `IoAcceptor.bind()` method.
    `InetSocketAddress` | `getLocalAddress()` Returns the local address which is bound currently.
    `IoSessionRecycler` | `getSessionRecycler()` Returns the `IoSessionRecycler` for this service.
    `void` | `setDefaultLocalAddress(InetSocketAddress localAddress)`
    `void` | `setSessionRecycler(IoSessionRecycler sessionRecycler)` Sets the `IoSessionRecycler` for this service.

    - ### Methods inherited from interface org.apache.mina.core.service.IoAcceptor

      `bind, bind, bind, bind, bind, getDefaultLocalAddresses, getLocalAddresses, isCloseOnDeactivation, newSession, setCloseOnDeactivation, setDefaultLocalAddress, setDefaultLocalAddresses, setDefaultLocalAddresses, setDefaultLocalAddresses, unbind, unbind, unbind, unbind`

    - ### Methods inherited from interface org.apache.mina.core.service.IoService

      `addListener, broadcast, dispose, dispose, getActivationTime, getFilterChain, getFilterChainBuilder, getHandler, getManagedSessionCount, getManagedSessions, getScheduledWriteBytes, getScheduledWriteMessages, getSessionConfig, getSessionDataStructureFactory, getStatistics, getTransportMetadata, isActive, isDisposed, isDisposing, removeListener, setFilterChainBuilder, setHandler, setSessionDataStructureFactory`

- - ### Method Detail

    - #### getLocalAddress

          InetSocketAddress getLocalAddress()

      Description copied from interface: `IoAcceptor`
      Returns the local address which is bound currently. If more than one address are bound, only one of them will be returned, but it's not necessarily the firstly bound address.
      Specified by:
        `getLocalAddress` in interface `IoAcceptor`

    - #### getDefaultLocalAddress

          InetSocketAddress getDefaultLocalAddress()

      Description copied from interface: `IoAcceptor`
      Returns the default local address to bind when no argument is specified in `IoAcceptor.bind()` method. Please note that the default will not be used if any local address is specified. If more than one address are set, only one of them will be returned, but it's not necessarily the firstly specified address in `IoAcceptor.setDefaultLocalAddresses(List)`.
      Specified by:
        `getDefaultLocalAddress` in interface `IoAcceptor`

    - #### setDefaultLocalAddress

          void setDefaultLocalAddress(InetSocketAddress localAddress)

    - #### getSessionRecycler

          IoSessionRecycler getSessionRecycler()

      Returns the `IoSessionRecycler` for this service.

    - #### setSessionRecycler

          void setSessionRecycler(IoSessionRecycler sessionRecycler)

      Sets the `IoSessionRecycler` for this service.
      Parameters:
        `sessionRecycler` - `null` to use the default recycler

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.